void step01() {
  // claculate and store 12 Points on the outer circle
  counter= 0;
  double step = 2 * PI/12;
  float h = scale/2;
  float k = scale/2;
  float r = scale/2;
  int c1, c2, c3, c4;

  for (float theta=0; theta < 2 * PI; theta += step) {
    float x = h + r * cos(theta);
    float y = k - r * sin(theta);
    xOuterCircle[counter] = x;
    yOuterCircle[counter] = y;
    counter ++;
  }

  if (drawGuideLines) {
    strokeWeight(guideWeight);
    ellipse(xCenter, yCenter, scale, scale);
    for (int counter = 0; counter < 6; counter = counter + 1) {
      line(xOuterCircle[counter], yOuterCircle[counter], xOuterCircle[counter + 6], yOuterCircle[counter + 6]);
    }
  }

  // first design hexagon
  if (drawDesignLines) {
    strokeWeight(designWeight);
    stroke(srrr, sggg, sbbb);
    for (int counter = 1; counter < 11; counter = counter + 2) {
      line(xOuterCircle[counter], yOuterCircle[counter], xOuterCircle[counter + 2], yOuterCircle[counter + 2]);
    }
    line(xOuterCircle[11], yOuterCircle[11], xOuterCircle[1], yOuterCircle[1]);
  }

  // save design points
  xDesign[0] = xOuterCircle[1];
  yDesign[0] = yOuterCircle[1];
  xDesign[1] = xOuterCircle[3];
  yDesign[1] = yOuterCircle[3];
  xDesign[2] = xOuterCircle[5];
  yDesign[2] = yOuterCircle[5];
  xDesign[3] = xOuterCircle[7];
  yDesign[3] = yOuterCircle[7];
  xDesign[4] = xOuterCircle[9];
  yDesign[4] = yOuterCircle[9];
  xDesign[5] = xOuterCircle[11];
  yDesign[5] = yOuterCircle[11];

  // guide heaxagon
  if (drawDesignLines) {
    strokeWeight(guideWeight);
    stroke(grrr, gggg, gbbb);
    for (int counter = 0; counter < 11; counter = counter + 2) {
      line(xOuterCircle[counter], yOuterCircle[counter], xOuterCircle[counter + 2], yOuterCircle[counter + 2]);  // draw outer hexagon
    }
  }

  step03(2, 5, 8, 11);
  step03(1, 4, 7, 10);
  step03(0, 3, 6, 9);
}
